Bug 188999 - gcc has an internal compiler error when compiling Globus Toolkit 4.0.1
Summary: gcc has an internal compiler error when compiling Globus Toolkit 4.0.1
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: 5
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-14 15:12 UTC by Dustin DeWeese
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 10:57:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source (47.23 KB, text/plain)
2006-04-14 15:12 UTC, Dustin DeWeese
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 26881 None None None Never

Description Dustin DeWeese 2006-04-14 15:12:48 UTC
Description of problem:
gcc has an internal compiler error when compiling Globus Toolkit 4.0.1

Version-Release number of selected component (if applicable):
gcc version 4.1.0 20060304 (Red Hat 4.1.0-3)

How reproducible:
every time so far

Steps to Reproduce:
1. Download Globus Toolkit from
http://www-unix.globus.org/toolkit/survey/index.php?download=gt4.0.1-all-source-installer.tar.bz2
MD5: 398076812364f53d694194320836b8ad
2. Unpack
3. make
  
Actual results:

/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"globus_js\"
-DVERSION=\"0.3\"  -I.
-I/home/globus/gt4.0.1-all-source-installer/source-trees/wsrf/c/tools/js/source
  -I/home/globus/globus-4.0.1/include
-I/home/globus/globus-4.0.1/include/gcc32dbg  -g   -Wall -DXP_UNIX -c jscpucfg.c
jscpucfg.c:376: internal compiler error: in dwarf2out_finish, at dwarf2out.c:14116
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccPaj4XD.out file, please attach this to
your bugreport.

Expected results:
Successful make

Additional info:

Version of Sun Java used: 1.5.0_06
ccPaj4XD.out is attached

Comment 1 Dustin DeWeese 2006-04-14 15:12:48 UTC
Created attachment 127752 [details]
preprocessed source

Comment 2 Dustin DeWeese 2006-04-14 16:21:33 UTC
Oops.  I forgot some steps in "Steps to Reproduce":
2.5. export JAVA_HOME=/usr/java/jdk1.5.0_06/
2.6. ./configure --prefix=/home/globus/globus-4.0.1

Comment 3 Jakub Jelinek 2006-04-19 10:57:46 UTC
This is already tracked upstream.  As a workaround, compile with optimizations
or don't compile with -g.


Note You need to log in before you can comment on or make changes to this bug.